(function( $ ) {
	wp.customize.bind( 'ready', function() {

		var optPrefix = '#customize-control-academic_education_lite_options-';
		
		// Label
		function academic_education_lite_customizer_label( id, title ) {

			// Site Identity

			if ( id === 'custom_logo' || id === 'site_icon' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-academic_education_lite_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Global Color Setting

			if ( id === 'academic_education_lite_global_color' || id === 'academic_education_lite_heading_color' || id === 'academic_education_lite_paragraph_color') {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-academic_education_lite_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// General Setting

			if ( id === 'academic_education_lite_scroll_hide' || id === 'academic_education_lite_preloader_hide' || id === 'academic_education_lite_sticky_header' || id === 'academic_education_lite_products_per_row' || id === 'academic_education_lite_scroll_top_position' || id === 'academic_education_lite_products_per_row' || id === 'academic_education_lite_width_option' || id === 'academic_education_lite_nav_menu_text_transform' || id === 'academic_education_lite_woo_product_border_radius')  {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-academic_education_lite_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Single Post Comment Setting

			if ( id === 'academic_education_lite_single_post_comment_title' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-academic_education_lite_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Colors

			if ( id === 'academic_education_lite_theme_color' || id === 'background_color' || id === 'background_image' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-academic_education_lite_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Header Image

			if ( id === 'header_image' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-academic_education_lite_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			//  Header
			
			if ( id === 'academic_education_lite_question_url' || id === 'academic_education_lite_email_address' || id === 'academic_education_lite_phone_number' || id === 'academic_education_lite_register_btn_url') {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-academic_education_lite_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}


			// Banner

			if ( id === 'academic_education_lite_banner_section_setting' || id === 'academic_education_lite_counter_number' || id === 'academic_education_lite_reviewer_name' || id === 'academic_education_lite_banner_team_image' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-academic_education_lite_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Products

			if ( id === 'academic_education_lite_activities_section_setting' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-academic_education_lite_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Woocommerce product sale Setting

			if ( id === 'academic_education_lite_woocommerce_product_sale' || id === 'academic_education_lite_woocommerce_related_product_show_hide') {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-academic_education_lite_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Footer

			if ( id === 'academic_education_lite_footer_widget_content_alignment' || id === 'academic_education_lite_show_hide_copyright') {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-academic_education_lite_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Post Settings

			if ( id === 'academic_education_lite_post_page_title' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-academic_education_lite_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Single Post Settings

			if ( id === 'academic_education_lite_single_post_page_content' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-academic_education_lite_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}
			
		}

	    // Site Identity
		academic_education_lite_customizer_label( 'custom_logo', 'Logo Setup' );
		academic_education_lite_customizer_label( 'site_icon', 'Favicon' );

		// Global Color Setting
		academic_education_lite_customizer_label( 'academic_education_lite_global_color', 'Global Color' );
		academic_education_lite_customizer_label( 'academic_education_lite_heading_color', 'Heading Typography' );
		academic_education_lite_customizer_label( 'academic_education_lite_paragraph_color', 'Paragraph Typography' );

		// General Setting
		academic_education_lite_customizer_label( 'academic_education_lite_preloader_hide', 'Preloader' );
		academic_education_lite_customizer_label( 'academic_education_lite_scroll_hide', 'Scroll To Top' );
		academic_education_lite_customizer_label( 'academic_education_lite_scroll_top_position', 'Scroll to top Position' );
		academic_education_lite_customizer_label( 'academic_education_lite_products_per_row', 'woocommerce Setting' );
		academic_education_lite_customizer_label( 'academic_education_lite_width_option', 'Site Width Layouts' );
		academic_education_lite_customizer_label( 'academic_education_lite_sticky_header', 'Sticky Header' );
		academic_education_lite_customizer_label( 'academic_education_lite_woo_product_border_radius', 'Woocommerce Product Border Radius' );
		academic_education_lite_customizer_label( 'academic_education_lite_woocommerce_product_sale', 'Woocommerce Product Sale' );
		academic_education_lite_customizer_label( 'academic_education_lite_nav_menu_text_transform', 'Nav Menus Text Transform' );

		// Colors
		academic_education_lite_customizer_label( 'academic_education_lite_theme_color', 'Theme Color' );
		academic_education_lite_customizer_label( 'background_color', 'Colors' );
		academic_education_lite_customizer_label( 'background_image', 'Image' );

		//Header Image
		academic_education_lite_customizer_label( 'header_image', 'Header Image' );

		// Header 
		academic_education_lite_customizer_label( 'academic_education_lite_email_address', 'Email Address' );
		academic_education_lite_customizer_label( 'academic_education_lite_question_url', 'Question URL' );
		academic_education_lite_customizer_label( 'academic_education_lite_phone_number', 'Phone Number' );
		academic_education_lite_customizer_label( 'academic_education_lite_register_btn_url', 'Register URL' );

		//Slider
		academic_education_lite_customizer_label( 'academic_education_lite_banner_section_setting', 'Banner' );
		academic_education_lite_customizer_label( 'academic_education_lite_counter_number', 'Counter' );
		academic_education_lite_customizer_label( 'academic_education_lite_reviewer_name', 'Review' );
		academic_education_lite_customizer_label( 'academic_education_lite_banner_team_image', 'Team' );

		//Products
		academic_education_lite_customizer_label( 'academic_education_lite_activities_section_setting', 'Flash Sale' );

		//Footer
		academic_education_lite_customizer_label( 'academic_education_lite_footer_widget_content_alignment', 'Footer' );
		academic_education_lite_customizer_label( 'academic_education_lite_show_hide_copyright', 'Copyright' );

		//Post setting
		academic_education_lite_customizer_label( 'academic_education_lite_post_page_title', 'Post Settings' );

		//Single post setting
		academic_education_lite_customizer_label( 'academic_education_lite_single_post_page_content', 'Single Post Settings' );
		academic_education_lite_customizer_label( 'academic_education_lite_single_post_comment_title', 'Single Post Comment' );
	

	});

})( jQuery );
